IonCube Loader is a software instrument, that's necessary to run files that are encoded with ionCube PHP Encoder. The latter is an application that is used to make PHP code human unreadable, as a way to protect it from reverse engineering and / or unauthorized use. A large number of script-driven apps, especially community forums, content management systems and e-commerce solutions are encrypted with ionCube PHP Encoder, which means that when you purchase a script and you find that ionCube is one of the hosting environment requirements, you need to make sure that your web hosting server has the tool pre-installed. Though it's not that hard to set it up when you have your own server, it's close to impossible to do that on a shared hosting server for the reason that the PHP environment should be precompiled and all the clients on the server shall be affected.

IonCube in Cloud Web Hosting

If you aquire a Linux cloud web hosting from our company, it will be created on our in-house made cloud hosting platform where ionCube Loader is already set up, so you won't have any problems to run any script app which requires the instrument so as to run properly. Furthermore, we offer you several different releases of PHP, so if you switch the version, you will need to activate ionCube once again. Our platform remembers the adjustments you make, and when you move back to the earlier release of PHP that was active for your account, ionCube Loader will already be enabled. Both the PHP version and the ionCube instrument can be operated from the PHP Configuration part of our Hepsia website hosting Control Panel. Any adjustment that you make takes literally just a single click and it will take effect immediately.

IonCube in Semi-dedicated Hosting

Because all the semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script application which needs this tool so as to function efficiently. With several clicks in the Hepsia hosting Control Panel you'll be able to activate or deactivate ionCube for the PHP version which is currently active for the account. Because we support several releases of PHP concurrently, you will need to do that each and every time you move to a new release, but when you revert back to a version that you have already used, our system will remember your preference and ionCube Loader will already be activated. In case you have a couple of websites in the same account and they require different versions of PHP, you are able to set up a php.ini file in every single domain folder and with a couple of lines of code you'll be able to define both the PHP release plus the status of ionCube irrespective of what is selected for the web hosting account as a whole.